Get video detail

Get video detail by coactive image id or dataset id and video path. Either coactive video id or or a combination of dataset id and video path can be used to uniquely identify a video.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

dataset_idstringOptionalformat: "uuid4"
The dataset id the video
pathstringOptional
The path of the video
coactive_video_idstringOptionalformat: "uuid4"
The coactive video id of the video

Response

Video detail
createdUserIdstring
The user that created the resource
createdDtstringformat: "date-time"
The created datetime of the resource
updatedUserIdstring
The user that last updated the resource
updatedDtstringformat: "date-time"
The datetime the resource was last updated
coactiveVideoIdstringformat: "uuid4"
The coactive video id
pathstring or null
The original path of the video
metadataobject or null
The user provided metadata for the video

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error